cURL
curl --request GET \
--url https://app.revyops.com/api/public/people/lookup \
--header 'X-API-KEY: <api-key>'import requests
url = "https://app.revyops.com/api/public/people/lookup"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://app.revyops.com/api/public/people/lookup', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"first_name": "<string>",
"last_name": "<string>",
"emails": [
{
"value": "<string>",
"company_id": 123,
"job_title": "<string>",
"status": "<string>",
"previous_status": "<string>",
"first_campaign_email_sent": "2023-11-07T05:31:56Z",
"last_campaign_email_sent": "2023-11-07T05:31:56Z",
"last_reply_received": "2023-11-07T05:31:56Z",
"origin": "<string>"
}
],
"linkedin_urls": [
{
"value": "<string>",
"company_id": 123,
"job_title": "<string>",
"status": "<string>",
"previous_status": "<string>",
"first_campaign_email_sent": "2023-11-07T05:31:56Z",
"last_campaign_email_sent": "2023-11-07T05:31:56Z",
"last_reply_received": "2023-11-07T05:31:56Z",
"origin": "<string>"
}
],
"phones": [
{
"value": "<string>",
"company_id": 123,
"job_title": "<string>",
"status": "<string>",
"previous_status": "<string>",
"first_campaign_email_sent": "2023-11-07T05:31:56Z",
"last_campaign_email_sent": "2023-11-07T05:31:56Z",
"last_reply_received": "2023-11-07T05:31:56Z",
"origin": "<string>"
}
],
"custom_fields": [
{
"id": 123,
"updated_time": "2023-11-07T05:31:56Z",
"field_name": "<string>",
"field_value": "<string>"
}
]
}People
Look Up Person
Retrieves one people record by email, LinkedIn URL, or phone number.
GET
/
public
/
people
/
lookup
cURL
Authorizations
Query Parameters
Email to look up. Provide exactly one identifier.
LinkedIn URL to look up. Provide exactly one identifier.
Phone number to look up. Provide exactly one identifier.
Response
OK. The people record was successfully retrieved.
Was this page helpful?

